package com.muyu.resp;

import lombok.Data;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 规则引擎
 * @ClassName RuleEngineScopeResp
 */
@Data
@SuperBuilder
public class EngineConfigScopeResp implements Serializable {
    public final static String[] ENGINE = new String[]{"TaskEngine", "DataSetEngine", "RecordEngine", "DataModelEngine"};
    private static final long serialVersionUID = 1L;

    /** 类型 */
    private String type;

    /** 名称 */
    private String name;

    /** 代码 */
    private String code;
}
