package com.muyu.resp;

import com.muyu.domain.EngineMaintenance;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.resp
 * @Project：cloud-etl-engine
 * @name：EngineReq
 * @Date：2024/8/28 18:49
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EngineReq {
    private Long id;
    private String name;
    private Integer type;
    private Integer scope;
    private String isActivate;
    private String status;
    private List<EngineMaintenance> engineMaintenanceList;
}
